Bug 1326715 - unknown key 'WAIT_FOR' in udev rules
Summary: unknown key 'WAIT_FOR' in udev rules
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: s390utils
Version: 24
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2016-04-13 11:13 UTC by Jan Stodola
Modified: 2018-05-09 12:49 UTC (History)
4 users (show)

Fixed In Version: s390utils-2.4.0-1.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 12:49:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 140319 None None None 2019-03-24 02:26:04 UTC

Description Jan Stodola 2016-04-13 11:13:24 UTC
Description of problem:
The following messages can be found in journalctl after boot:

Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: unknown key 'WAIT_FOR' in /usr/lib/udev/rules.d/59-dasd.rules:33
Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: invalid rule '/usr/lib/udev/rules.d/59-dasd.rules:33'
Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: unknown key 'WAIT_FOR' in /usr/lib/udev/rules.d/60-readahead.rules:10
Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: invalid rule '/usr/lib/udev/rules.d/60-readahead.rules:10'
Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: unknown key 'WAIT_FOR' in /usr/lib/udev/rules.d/60-readahead.rules:11
Apr 13 06:58:04 X.redhat.com systemd-udevd[1086]: invalid rule '/usr/lib/udev/rules.d/60-readahead.rules:11'

Version-Release number of selected component (if applicable):
s390utils-1.30.0-2.fc24
systemd-udev-229-7.fc24

How reproducible:
always

Comment 1 Dan Horák 2016-04-13 11:26:05 UTC
related systemd pull-request - https://github.com/systemd/systemd/pull/434

Comment 2 IBM Bug Proxy 2016-09-20 15:21:09 UTC
------- Comment From stefan.haberland@de.ibm.com 2016-09-20 11:15 EDT-------
Updated the DASD udev rules. They will be available with next s390-tools release on developerworks.

Comment 3 Fedora End Of Life 2017-07-25 20:32:53 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 14:14:20 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Dan Horák 2018-02-22 12:34:39 UTC
reopened, the 60-readahead.rules still use WAIT_FOR for the "add" event

Comment 6 Dan Horák 2018-02-23 16:31:37 UTC
brought upstream in https://github.com/ibm-s390-tools/s390-tools/issues/27

Comment 7 IBM Bug Proxy 2018-05-07 14:21:43 UTC
------- Comment From Jan.Hoeppner@de.ibm.com 2018-05-07 10:19 EDT-------
Fixed via https://github.com/ibm-s390-tools/s390-tools/commit/13596f18da2194186423696d3c00592f591d0fa1


Note You need to log in before you can comment on or make changes to this bug.